import React, { Component } from 'react';
import { connect } from 'react-redux';
import { Button } from '@redux-devtools/ui';
import { TiDownload } from 'react-icons/ti';
import { exportState } from '../../actions';
class ExportButton extends Component {
  shouldComponentUpdate() {
    return false;
  }
  render() {
    return /*#__PURE__*/React.createElement(Button, {
      title: "Export to a file",
      onClick: this.props.exportState
    }, /*#__PURE__*/React.createElement(TiDownload, null));
  }
}
const actionCreators = {
  exportState
};
export default connect(null, actionCreators)(ExportButton);